> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a new user

> Prepares system for a new user onboarding



## OpenAPI

````yaml /swagger.json post /User/Register
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /User/Register:
    post:
      tags:
        - User
      summary: Register a new user
      description: Prepares system for a new user onboarding
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterUserRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/RegisterUserRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/RegisterUserRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/RegisterUserResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/RegisterUserResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/RegisterUserResponse'
components:
  schemas:
    RegisterUserRequest:
      type: object
      properties:
        redirectUrl:
          type: string
        mobileNumber:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        shortDescription:
          type: string
          nullable: true
        amount:
          type: integer
          format: int32
          nullable: true
        period:
          type: string
          nullable: true
      additionalProperties: false
    RegisterUserResponse:
      type: object
      properties:
        registrationId:
          type: string
          format: uuid
        registrationUrl:
          type: string
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````